CVE-2004-1681
CVSS7.2
发布时间 :2004-08-26 00:00:00
修订时间 :2016-10-17 22:59:01
NMCOE    

[原文]Multiple buffer overflows in (1) phrelay-cfg, (2) phlocale, (3) pkg-installer, or (4) input-cfg in QNX Photon microGUI for QNX RTP 6.1 allow local users to gain privileges via a long -s (server) command line parameter.


[CNNVD]QNX Photon MicroGUI多个效用服务器标记缓冲区溢出漏洞(CNNVD-200408-222)

        QNX RTP 6.1版本的QNX Photon microGUI的(1)phrelay-cfg,(2)phlocale,(3)pkg-installer或者(4)input-cfg存在多个缓冲区溢出漏洞。本地用户借助超长-s(服务器)命令行参数提升特权。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:qnx:photon_microgui
cpe:/a:qnx:rtp:6.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1681
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1681
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-222
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109510393407597&w=2
(UNKNOWN)  BUGTRAQ  20040913 [RLSA_02-2004] QNX Photon multiple buffer overflows
http://www.rfdslabs.com.br/qnx-advs-03-2004.txt
(UNKNOWN)  MISC  http://www.rfdslabs.com.br/qnx-advs-03-2004.txt
http://www.securityfocus.com/bid/11164
(VENDOR_ADVISORY)  BID  11164
http://xforce.iss.net/xforce/xfdb/17339
(VENDOR_ADVISORY)  XF  qnx-rtp-photon-bo(17339)

- 漏洞信息

QNX Photon MicroGUI多个效用服务器标记缓冲区溢出漏洞
高危 缓冲区溢出
2004-08-26 00:00:00 2005-10-20 00:00:00
本地  
        QNX RTP 6.1版本的QNX Photon microGUI的(1)phrelay-cfg,(2)phlocale,(3)pkg-installer或者(4)input-cfg存在多个缓冲区溢出漏洞。本地用户借助超长-s(服务器)命令行参数提升特权。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (24593)

QNX Photon phrelay-cfg -s Parameter Overflow (EDBID:24593)
unix dos
2004-09-13 Verified
0 Julio Cesar Fort
N/A [点击下载]
source: http://www.securityfocus.com/bid/11164/info

Reportedly QNX Photon MicroGUI is affected by multiple buffer overflow vulnerabilities in MicroGUI utilities. These issues are due to a failure of the affected applications to validate user-supplied string lengths before copying them into finite process buffers.

An attacker may leverage these issues to execute arbitrary code on the affected system within the context of the vulnerable applications; the applications are typically setuid applications.

$ /usr/photon/bin/phrelay-cfg -s AAAAA[...]		

- 漏洞信息 (24594)

QNX Photon phlocale -s Parameter Overflow (EDBID:24594)
unix dos
2004-09-13 Verified
0 Julio Cesar Fort
N/A [点击下载]
source: http://www.securityfocus.com/bid/11164/info
 
Reportedly QNX Photon MicroGUI is affected by multiple buffer overflow vulnerabilities in MicroGUI utilities. These issues are due to a failure of the affected applications to validate user-supplied string lengths before copying them into finite process buffers.
 
An attacker may leverage these issues to execute arbitrary code on the affected system within the context of the vulnerable applications; the applications are typically setuid applications.


$ /usr/photon/bin/phlocale -s AAAAA[...]		

- 漏洞信息 (24595)

QNX Photon input-cfg -s Parameter Overflow (EDBID:24595)
unix dos
2004-09-13 Verified
0 Julio Cesar Fort
N/A [点击下载]
source: http://www.securityfocus.com/bid/11164/info
 
Reportedly QNX Photon MicroGUI is affected by multiple buffer overflow vulnerabilities in MicroGUI utilities. These issues are due to a failure of the affected applications to validate user-supplied string lengths before copying them into finite process buffers.
 
An attacker may leverage these issues to execute arbitrary code on the affected system within the context of the vulnerable applications; the applications are typically setuid applications.

$ /usr/photon/bin/input-cfg -s AAAAA[...]		

- 漏洞信息 (24596)

QNX Photon pkg-installer -s Parameter Overflow (EDBID:24596)
unix dos
2004-09-13 Verified
0 Julio Cesar Fort
N/A [点击下载]
source: http://www.securityfocus.com/bid/11164/info
  
Reportedly QNX Photon MicroGUI is affected by multiple buffer overflow vulnerabilities in MicroGUI utilities. These issues are due to a failure of the affected applications to validate user-supplied string lengths before copying them into finite process buffers.
  
An attacker may leverage these issues to execute arbitrary code on the affected system within the context of the vulnerable applications; the applications are typically setuid applications.

$ /usr/photon/bin/pkg-installer -s AAAAA[...]		

- 漏洞信息

9958
QNX Photon phrelay-cfg -s Parameter Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

A local overflow exists in QNX Photon. The phrelay-cfg binary fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted request containing 94 or more characters to the -s parameter, a malicious user can gain root privileges resulting in a loss of integrity.

- 时间线

2004-09-13 2004-08-26
2004-09-13 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站